fop 1.1

## org.apache.fop.fonts
Enum EmbeddingMode

    java.lang.Object
      java.lang.Enum<EmbeddingMode>
          org.apache.fop.fonts.EmbeddingMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EmbeddingMode>

    public enum EmbeddingMode

extends java.lang.Enum<EmbeddingMode>

This enumerates the embedding mode of fonts; full; subset; auto (auto defaults to full for Type 1 fonts and subset for TrueType fonts.

Enum Constant Summary
`AUTO` Default option: assumes FULL for Type 1 fonts and SUBSET for TrueType fonts.
`FULL` Full font embedding: This means the whole of the font is written to file.
`SUBSET` Subset font embedding: Only the mandatory tables and a subset of glyphs are written to file.

Method Summary
`java.lang.String` `getName()` Returns the name of this embedding mode.
`static EmbeddingMode` `getValue(java.lang.String value)` Returns the embedding mode corresponding to the given name.
`static EmbeddingMode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EmbeddingMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTO

    public static final EmbeddingMode AUTO

  Default option: assumes FULL for Type 1 fonts and SUBSET for TrueType fonts.

### FULL

    public static final EmbeddingMode FULL

  Full font embedding: This means the whole of the font is written to file.

### SUBSET

    public static final EmbeddingMode SUBSET

  Subset font embedding: Only the mandatory tables and a subset of glyphs are written to file.

Method Detail

### values

    public static EmbeddingMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EmbeddingMode c : EmbeddingMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EmbeddingMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  Returns the name of this embedding mode.

  Returns:
    the name of this embedding mode in lower case.

### getValue

    public static EmbeddingMode getValue(java.lang.String value)

  Returns the embedding mode corresponding to the given name.

  Parameters:
    `value` - the name of an embedding mode (not case sensitive)
  Returns:
    the corresponding embedding mode

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.